Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The FSGuard panel plugin checks free space on a chosen mount point
Name:		xfce4-fsguard-plugin
Version:	0.4.0
Release:	1
License:	GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xfce4-panel >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
BuildRequires:	libxfcegui4-devel libxfce4util-devel

%description
The FSGuard panel plugin checks free space on a chosen mount point frequently 
and displays a message when a limit is reached. 
There are two limits: 
     - a warning limit where only the icon changes
     - and an urgent limit that advise the user with a message. 

The icon button can be clicked to open the chosen mount point. The amount of 
free space is visible in a tooltip. 

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfce4-fsguard-plugin
%_datadir/icons/hicolor/*/apps/xfce4-fsguard-plugin*.*g
%_datadir/locale/*/LC_MESSAGES/xfce4-fsguard-plugin.mo
%_datadir/xfce4/panel-plugins/fsguard.desktop

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0-1
- Initial Release
